Subject: RE: [Ltru] Normative vs Informative references

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 18 Mar 2005 14:06:52 -0800

Hi,

I would suggest that you add to your 'Security Considerations'
section an informative reference to RFC 3552 / BCP 72 
"Guidelines for Writing RFC Text on Security Considerations".

So revise text from:

The evaluation of the exact magnitude of the threat, and any possible
countermeasures, is left to each application protocol.

to:

The evaluation of the exact magnitude of the threat, and any possible
countermeasures, is left to each application protocol (see [RFC3552]
for best practice guidance on security threats and defenses).

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Addison Phillips
Sent: Friday, March 18, 2005 2:57 PM
To: Randy Presuhn; [email-masked]
Subject: RE: [Ltru] Normative vs Informative references

I have split the references into informative and normative.

I have eliminated the following dead references:

RFC 1327
RFC 1521
RFC 3639
RFC 2616 (is cited by the matching draft)
RFC 2396

The informative references consist of two items:

ISO 639 Principles (referenced in a note in section 2.2.1)
RFC 2231 (MIME parameter values, cited as an example in Section 2.1.1)

The normative references consist of:

ISO 639-1:2002
ISO 639-2:1998
ISO 15924:2003
ISO 3166:1988
UN M.49
RFC 1766 (mostly for historical reasons, could be informative)
RFC 2026 (obviously)
RFC 2028 (organizations involved in ietf process)
RFC 2119 (normative language)
RFC 2234 (ABNF)
RFC 2434 (writing IANA considerations sections)
RFC 2860 (defined IANA)
RFC 3066 (obviously)
RFC 3339 (defines ISO 8601 and the date format used in the registry)

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Randy Presuhn
> Sent: vendredi 18 mars 2005 11:18
> To: [email-masked]
> Subject: Re: [Ltru] Normative vs Informative references
> 
> Hi -
> 
> (as a technical contributor)
> 
> > From: "McDonald, Ira" <[email-masked]>
> > To: "'Scott Hollenbeck'" <[email-masked]>; "'Frank Ellermann'"
> <[email-masked]>; <[email-masked]>
> > Sent: Friday, March 18, 2005 10:33 AM
> > Subject: [Ltru] Normative vs Informative references
> ...
> > Separating references has a more important impact - it makes
> > clear where the main body text should have a section labelled
> > something like '4.2 Blazzle (Informative)', because all of the
> > dependencies are informative.
> 
> Although I agree that informative sections of material benefit
> from being clearly labeled, one cannot use the absence of
> normative references in a section to characterize that section
> as non-normative.
> 
> For example, a section could read:
> 
> Implementations MUST do X in situation Y.  For an explanation
> of why this is required, see the analysis in section Z of
> [unrelated-protocol-informative-reference].
> 
> This would be perfectly good normative material, with a perfectly
> good informative reference.
> 
> > Also, the list of normative references should stay short!
> 
> If possible.
> 
> ...
> > PS - If other working group members contribute text, please
> > specify the references as normative or informative right then.
> ...
> 
> Good suggestion.  Note however, that some references to a particular
> specification might be informative, and others normative.  If *any* of
> the references to a specification are normative, then it goes into the
> normative references section.
> 
> Randy
> 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 18 Mar 2005 15:02:51 -0800

Hi -

> To: "'Addison Phillips'" <[email-masked]>; "Randy Presuhn" <[email-masked]>; <[email-masked]>
> Sent: Friday, March 18, 2005 2:06 PM

...

As a technical contributor, I'd suggest making the citation in terms of
the BCP number.  Thus:

| The evaluation of the exact magnitude of the threat, and any possible
| countermeasures, is left to each application protocol (see BCP 72,
| RFC 3552 [RFC3552] for best current practice guidance on security
| threats and defenses).

The motivation behind BCP and STD numbers is twofold: to be able to
refer to multi-document sets, and, important in this case, to refer to
whatever RFC(s) hold the current version of a specification.

Randy